import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CloudFileArgsObjectSchema as CloudFileArgsObjectSchema } from './CloudFileArgs.schema'

const makeSchema = () => z.object({
  id: z.boolean().optional(),
  fileId: z.boolean().optional(),
  seq: z.boolean().optional(),
  data: z.boolean().optional(),
  createdAt: z.boolean().optional(),
  file: z.union([z.boolean(), z.lazy(() => CloudFileArgsObjectSchema)]).optional()
}).strict();
export const CloudFileChunkSelectObjectSchema: z.ZodType<Prisma.CloudFileChunkSelect> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileChunkSelect>;
export const CloudFileChunkSelectObjectZodSchema = makeSchema();
